#
# spec file for package gap-ringsforhomalg
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-ringsforhomalg
Version:        2018.01.07
Release:        lp151.2.1
Summary:        GAP: Dictionaries of External Rings
License:        GPL-2.0
Group:          Productivity/Scientific/Math
Url:            http://homalg-project.github.io/homalg_project/RingsForHomalg/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/RingsForHomalg-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.7
Requires:       gap-gapdoc >= 1.0
Requires:       gap-homalgtocas >= 2015.09.30
Requires:       gap-matricesforhomalg >= 2017.11.03

%description
The RingsForHomalg package provides small dictionaries for homalg to
speak (as much as needed of) the languages of Singular, Macaulay2,
MAGMA, Sage, and Maple.

%prep
%setup -qn RingsForHomalg-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Tue Feb  6 2018 jengelh@inai.de
- Update to new upstream release 2018.01.07
  * No changelog as usual
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 2017.11.03
  * No changelog available
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.08.02
  * Still no changelog provided
* Sat Mar 12 2016 jengelh@inai.de
- Update to new upstream release 2016.01.20
  * No changelog was provided
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.06
  * No changelog was provided again
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 2015.02.10
  * No upstream changelog was provided again
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 2014.08.25
  * No upstream changelog was provided
* Fri Apr 18 2014 jengelh@inai.de
- Update to new upstream release 2014.01.17
  * No upstream changelog was provided
* Fri Feb  7 2014 jengelh@inai.de
- Update to new upstream release 2013.11.01
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split ringsforhomalg (version 2013.04.19) off the gap RPM package
